﻿#include "widget.h"
#include <QFileDialog>
#include <QNetworkAccessManager>
#include <QNetworkRequest>
#include <QNetworkReply>

Widget::Widget(QWidget *parent) :
    QWidget(parent)
{
    setupUi(this);
    lineEditServer->setText("ftp://servername/home/username/日本語.txt");

}

void Widget::on_pushButton_clicked()
{
    lineEditFileName->setText(QFileDialog::getOpenFileName());
}

void Widget::on_pushButton_2_clicked()
{
    QFile *file = new QFile( lineEditFileName->text(), this);
    if (!file->open(QIODevice::ReadOnly) )
        return;
    QUrl urlToUpload(lineEditServer->text());
    urlToUpload.setUserName(lineEditUserName->text());
    urlToUpload.setPassword(lineEditPassword->text());
    urlToUpload.setPort(21);

    QNetworkAccessManager *nam = new QNetworkAccessManager;
    QNetworkRequest requp(urlToUpload);
    QNetworkReply *reply = nam->put(requp,file);

    connect(nam, SIGNAL(finished(QNetworkReply*)),this, SLOT(requestFinished(QNetworkReply*)));
    connect(reply, SIGNAL(uploadProgress(qint64, qint64)), SLOT(uploadProgress(qint64, qint64)));
    connect(reply, SIGNAL(finished()), SLOT(uploadDone()));

}

void Widget::requestFinished(QNetworkReply *reply)
{
    qDebug() << Q_FUNC_INFO;
    qDebug() << "Error Code: " << reply->error();

}

void Widget::uploadProgress(qint64 qi1, qint64 qi2)
{
    qDebug() << Q_FUNC_INFO;
    qDebug() << qi1 << qi2;

}

void Widget::uploadDone()
{
    qDebug() << Q_FUNC_INFO;
}
